<?php
declare(strict_types=1);

use Migrations\AbstractMigration;

class CreateExternalProductCatalogs extends AbstractMigration
{
    /**
     * Change Method.
     *
     * More information on this method is available here:
     * https://book.cakephp.org/phinx/0/en/migrations.html#the-change-method
     * @return void
     */
    public function change(): void
    {
        $table = $this->table('external_product_catalogs', ['id' => false, 'primary_key' => ['id']]);
        $table->addColumn('id', 'uuid', [
            'default' => null,
            'null' => false,
        ]);
        $table->addColumn('product_catalog_id', 'uuid', [
            'default' => null,
            'null' => false,
        ]);
        $table->addColumn('base_url', 'string', [
            'default' => null,
            'limit' => 255,
            'null' => false,
        ]);
        $table->addColumn('api_url', 'string', [
            'default' => null,
            'limit' => 255,
            'null' => false,
        ]);
        $table->addColumn('created', 'datetime', [
            'default' => null,
            'null' => false,
        ]);
        $table->addColumn('deleted', 'datetime', [
            'default' => null,
            'null' => true,
        ]);
        $table->addColumn('enabled', 'boolean', [
            'default' => null,
            'null' => false,
        ]);
        $table->addIndex([
            'product_catalog_id',
            ], [
            'name' => 'BY_PRODUCT_CATALOG_ID',
            'unique' => false,
        ]);
        $table->create();
    }
}
