<?php
declare(strict_types=1);

namespace CakeProducts\Model\Entity;

use Cake\I18n\DateTime;
use Cake\ORM\Entity;

/**
 * ExternalProductCatalog Entity
 *
 * @property int $id
 * @property string $base_url
 * @property string $api_url
 * @property DateTime $created
 * @property DateTime|null $deleted
 *
 * @property ProductCatalog[] $product_catalogs
 * @property ExternalProductCatalogsProductCatalog[] $external_product_catalogs_product_catalogs
 */
class ExternalProductCatalog extends Entity
{
    /**
     * Fields that can be mass assigned using newEntity() or patchEntity().
     *
     * Note that when '*' is set to true, this allows all unspecified fields to
     * be mass assigned. For security purposes, it is advised to set '*' to false
     * (or remove it), and explicitly make individual fields accessible as needed.
     *
     * @var array<string, bool>
     */
    protected array $_accessible = [
        'base_url' => true,
        'api_url' => true,
        'created' => true,
        'deleted' => true,
        'enabled' => true,
        'external_product_catalogs_product_catalogs' => true,
    ];
}
