<?php
/**
 * @var \App\View\AppView $this
 * @var \App\Model\Entity\ExternalProductCatalog $externalProductCatalog
 */
?>
<div class="row">
    <aside class="column">
        <div class="side-nav">
            <h4 class="heading"><?= __('Actions') ?></h4>
            <?= $this->Html->link(__('Edit External Product Catalog'), ['action' => 'edit', $externalProductCatalog->id], ['class' => 'side-nav-item']) ?>
            <?= $this->Form->postLink(__('Delete External Product Catalog'), ['action' => 'delete', $externalProductCatalog->id], ['confirm' => __('Are you sure you want to delete # {0}?', $externalProductCatalog->id), 'class' => 'side-nav-item']) ?>
            <?= $this->Html->link(__('List External Product Catalogs'), ['action' => 'index'], ['class' => 'side-nav-item']) ?>
            <?= $this->Html->link(__('New External Product Catalog'), ['action' => 'add'], ['class' => 'side-nav-item']) ?>
        </div>
    </aside>
    <div class="column column-80">
        <div class="externalProductCatalogs view content">
            <h3><?= h($externalProductCatalog->base_url) ?></h3>
            <table>
                <tr>
                    <th><?= __('Base Url') ?></th>
                    <td><?= h($externalProductCatalog->base_url) ?></td>
                </tr>
                <tr>
                    <th><?= __('Api Url') ?></th>
                    <td><?= h($externalProductCatalog->api_url) ?></td>
                </tr>
                <tr>
                    <th><?= __('Id') ?></th>
                    <td><?= $this->Number->format($externalProductCatalog->id) ?></td>
                </tr>
                <tr>
                    <th><?= __('Created') ?></th>
                    <td><?= h($externalProductCatalog->created) ?></td>
                </tr>
                <tr>
                    <th><?= __('Deleted') ?></th>
                    <td><?= h($externalProductCatalog->deleted) ?></td>
                </tr>
            </table>
            <div class="related">
                <h4><?= __('Related Product Catalogs') ?></h4>
                <?php if (!empty($externalProductCatalog->product_catalogs)) : ?>
                    <div class="table-responsive">
                        <table>
                            <tr>
                                <th><?= __('Name') ?></th>
                                <th><?= __('Catalog Description') ?></th>
                                <th><?= __('Enabled') ?></th>
                                <th class="actions"><?= __('Actions') ?></th>
                            </tr>
                            <?php foreach ($externalProductCatalog->product_catalogs as $productCatalog) : ?>
                                <tr>
                                    <td><?= h($productCatalog->name) ?></td>
                                    <td><?= h($productCatalog->catalog_description) ?></td>
                                    <td><?= h($productCatalog->_joinData->enabled) ?></td>
                                    <td class="actions">
                                        <?= $this->Html->link(__('View'), ['controller' => 'ProductCatalogs', 'action' => 'view', $productCatalog->id]) ?>
                                        <?= $this->Html->link(__('Edit'), ['controller' => 'ProductCatalogs', 'action' => 'edit', $productCatalog->id]) ?>
                                        <?= $this->Form->postLink(__('Delete'), ['controller' => 'ProductCatalogs', 'action' => 'delete', $productCatalog->id], ['confirm' => __('Are you sure you want to delete # {0}?', $productCatalog->id)]) ?>
                                    </td>
                                </tr>
                            <?php endforeach; ?>
                        </table>
                    </div>
                <?php endif; ?>
            </div>
        </div>
    </div>
</div>
