<?php
declare(strict_types=1);

namespace CakeProducts\Test\TestCase\Model\Table;

use Cake\ORM\Table;
use Cake\TestSuite\TestCase;
use CakeProducts\Model\Table\ExternalProductCatalogsTable;

/**
 * CakeProducts\Model\Table\ExternalProductCatalogsTable Test Case
 */
class ExternalProductCatalogsTableTest extends TestCase
{
    /**
     * Test subject
     *
     * @var ExternalProductCatalogsTable
     */
    protected $ExternalProductCatalogs;

    /**
     * Fixtures
     *
     * @var array<string>
     */
    protected array $fixtures = [
        'plugin.CakeProducts.ExternalProductCatalogs',
        'plugin.CakeProducts.ExternalProductCatalogsProductCatalogs',
        'plugin.CakeProducts.ProductCatalogs',
    ];

    /**
     * setUp method
     *
     * @return void
     */
    protected function setUp(): void
    {
        parent::setUp();
        $config = $this->getTableLocator()->exists('ExternalProductCatalogs') ? [] : ['className' => ExternalProductCatalogsTable::class];
        $this->ExternalProductCatalogs = $this->getTableLocator()->get('ExternalProductCatalogs', $config);
    }

    /**
     * tearDown method
     *
     * @return void
     */
    protected function tearDown(): void
    {
        unset($this->ExternalProductCatalogs);

        parent::tearDown();
    }

    /**
    * TestInitialize method
    *
    * @return void
    * @uses ExternalProductCatalogsTable::initialize
    */
    public function testInitialize(): void
    {
        // verify all associations loaded
        $expectedAssociations = [
            'ProductCatalogs',
            'ExternalProductCatalogsProductCatalogs',
        ];
        $associations = $this->ExternalProductCatalogs->associations();

        $this->assertCount(count($expectedAssociations), $associations);
        foreach ($expectedAssociations as $expectedAssociation) {
            $this->assertTrue($this->ExternalProductCatalogs->hasAssociation($expectedAssociation));
        }

        // verify all behaviors loaded
        $expectedBehaviors = [
            'Timestamp',
        ];
        $behaviors = $this->ExternalProductCatalogs->behaviors();

        $this->assertCount(count($expectedBehaviors), $behaviors);
        foreach ($expectedBehaviors as $expectedBehavior) {
            $this->assertTrue($this->ExternalProductCatalogs->hasBehavior($expectedBehavior));
        }
    }

    /**
    * Test validationDefault method
    *
    * @return void
    * @uses ExternalProductCatalogsTable::validationDefault
    */
    public function testValidationDefault(): void
    {
        $this->markTestIncomplete('Not implemented yet.');
    }

    /**
    * Test buildRules method
    *
    * @return void
    * @uses ExternalProductCatalogsTable::buildRules
    */
    public function testBuildRules(): void
    {
        $this->markTestIncomplete('Not implemented yet.');
    }
}
