<?php
declare(strict_types=1);

namespace CakeProducts\Test\TestCase\Model\Table;

use Cake\ORM\Table;
use Cake\TestSuite\TestCase;
use CakeProducts\Model\Table\ProductCatalogsTable;

/**
 * CakeProducts\Model\Table\ProductCatalogsTable Test Case
 */
class ProductCatalogsTableTest extends TestCase
{
    /**
     * Test subject
     *
     * @var ProductCatalogsTable|Table
     */
    protected $ProductCatalogs;

    /**
     * Fixtures
     *
     * @var array<string>
     */
    protected array $fixtures = [
        'plugin.CakeProducts.ProductCatalogs',
        'plugin.CakeProducts.ExternalProductCatalogsProductCatalogs',
        'plugin.CakeProducts.ProductCategories',
    ];

    /**
     * setUp method
     *
     * @return void
     */
    protected function setUp(): void
    {
        parent::setUp();
        $config = $this->getTableLocator()->exists('ProductCatalogs') ? [] : ['className' => ProductCatalogsTable::class];
        $this->ProductCatalogs = $this->getTableLocator()->get('ProductCatalogs', $config);
    }

    /**
     * tearDown method
     *
     * @return void
     */
    protected function tearDown(): void
    {
        unset($this->ProductCatalogs);

        parent::tearDown();
    }

    /**
    * TestInitialize method
    *
    * @return void
    * @uses ProductCatalogsTable::initialize
    */
    public function testInitialize(): void
    {
        // verify all associations loaded
        $expectedAssociations = [
            'ProductCategories',
            'ExternalProductCatalogs',
        ];
        $associations = $this->ProductCatalogs->associations();

        $this->assertCount(count($expectedAssociations), $associations);
        foreach ($expectedAssociations as $expectedAssociation) {
            $this->assertTrue($this->ProductCatalogs->hasAssociation($expectedAssociation));
        }

        // verify all behaviors loaded
        $expectedBehaviors = [];
        $behaviors = $this->ProductCatalogs->behaviors();

        $this->assertCount(count($expectedBehaviors), $behaviors);
        foreach ($expectedBehaviors as $expectedBehavior) {
            $this->assertTrue($this->ProductCatalogs->hasBehavior($expectedBehavior));
        }
    }

    /**
    * Test validationDefault method
    *
    * @return void
    * @uses ProductCatalogsTable::validationDefault
    */
    public function testValidationDefault(): void
    {
        $this->markTestIncomplete('Not implemented yet.');
    }
}
